# FBDialog Class Reference

`#include <fbdialog.h>`

List of all members.

## Public Member Functions
| FBDialog (QWidget *parent=0, PageCtrl *pageCtrl=0)
virtual | ~FBDialog ()
void | fillBlockList ()
QString | selectedBlockModel ()
void | setSortingEnabled (bool enable)
void | retranslateUi ()
## Public Attributes
bool | flg_useSimpleIECCallModel
| flag use least IEC61131-3 call model, used by preferences dialog
## Private Slots
void | setFBD_checkBox_insertdatatypesState (bool state)
void | setFBD_checkBox_insertIOCommentsState (bool state)
void | setOkButtonState ()
void | showCurrentFBofFBs (int i)
## Private Member Functions
QString | getCallModelItem (QString line, QString searchStr1, QString searchStr2, QString addStr)
QString | setItemComment (QString line)
QString | getIOComment (QString line)
QString | getDataType (QString line)
QString | getInVARSectionLine (QString FBName, int Ext, QString line)
QString | getOutVARSectionLine (QString FBName, int Ext, QString line)
## Private Attributes
PageCtrl * | m_PageCtrl
| instance of PageCtrl class

## Constructor & Destructor Documentation

FBDialog::FBDialog | ( | QWidget * | parent = `0`,
|  | PageCtrl * | pageCtrl = `0` |
| ) |  |  |

creating function

FBDialog::~FBDialog | ( |  | ) | `[virtual]`

virtual destructor

## Member Function Documentation

void FBDialog::fillBlockList | ( |  | ) |

fill list with function block names

QString FBDialog::getCallModelItem | ( | QString | line,
|  | QString | searchStr1,
|  | QString | searchStr2,
|  | QString | addStr |
| ) |  |  | `[private]`

get call model item from string by detecting one of the search strings to remove all not needed chars

The addStr will be added to the return value.

QString FBDialog::getDataType | ( | QString | line | ) | `[private]`

get data type from line

QString FBDialog::getInVARSectionLine | ( | QString | FBName,
|  | int | Ext,
|  | QString | line |
| ) |  |  | `[private]`

get line of any input VAR section

QString FBDialog::getIOComment | ( | QString | line | ) | `[private]`

get line comment

QString FBDialog::getOutVARSectionLine | ( | QString | FBName,
|  | int | Ext,
|  | QString | line |
| ) |  |  | `[private]`

get line of any output VAR section

void FBDialog::retranslateUi | ( |  | ) |

retranslate Ui

QString FBDialog::selectedBlockModel | ( |  | ) |

get call model of selected function block from list

The programming language and the file extension of the selected list item will be used to create the correct call model.

void FBDialog::setFBD_checkBox_insertdatatypesState | ( | bool | state | ) | `[private, slot]`

set FBD_checkBox_insertdatatypes state dependend from the state of FBD_checkBox_insertcallmodel

void FBDialog::setFBD_checkBox_insertIOCommentsState | ( | bool | state | ) | `[private, slot]`

set FBD_checkBox_insertIOComments state dependend from the state of FBD_checkBox_insertcallmodel

QString FBDialog::setItemComment | ( | QString | line | ) | `[private]`

get data type and I/O comments as commented string

void FBDialog::setOkButtonState | ( |  | ) | `[private, slot]`

set ok Button by detecting the selected list item

void FBDialog::setSortingEnabled | ( | bool | enable | ) |

set sorting enable in list

void FBDialog::showCurrentFBofFBs | ( | int | i | ) | `[private, slot]`

show current function block number to all function blocks

Parameters:

  | i | is only needed for the signal slot handling

## Member Data Documentation

bool FBDialog::flg_useSimpleIECCallModel

flag use least IEC61131-3 call model, used by preferences dialog

PageCtrl* FBDialog::m_PageCtrl`[private]`

instance of PageCtrl class

The documentation for this class was generated from the following files:

- fbdialog.h
- fbdialog.cpp